import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lanres/entities/%DE_PKGPATH%/%DE_PKGPATH%_en_US_base.ts.ftl 生成
function getLocaleResourceBase(){
	const data:any = {
	fields: {
		ibizstorageid: commonLogic.appcommonhandle("存储标识",null),
		producer: commonLogic.appcommonhandle("生产厂商",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		unit: commonLogic.appcommonhandle("单位",null),
		ibizhardwaretype: commonLogic.appcommonhandle("分组类型",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		productuid: commonLogic.appcommonhandle("产品编号",null),
		unitprice: commonLogic.appcommonhandle("单价",null),
		ibizstoragename: commonLogic.appcommonhandle("存储名称",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
	},
		views: {
			editview: {
				caption: commonLogic.appcommonhandle("存储",null),
				title: commonLogic.appcommonhandle("存储编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("存储基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("存储标识",null), 
				srfmajortext: commonLogic.appcommonhandle("存储名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizstoragename: commonLogic.appcommonhandle("存储名称",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				ibizstorageid: commonLogic.appcommonhandle("存储标识",null), 
			},
			uiactions: {
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;